1. Payouts
Merchant Warrior API 2.0
  • API
    • Getting Started
    • Guides
      • Xero Connection
      • Xero Custom URL
      • wooCommerce PayID
      • Middleware
      • Hostaway
    • Direct API
      • getAccessToken
      • processCard
      • processAuth
      • processCapture
      • processBatch
      • retrieveBatch (CSV)
      • retrieveBatch (JSON Response)
      • retrieveBatch (JSON Notify)
      • refundCard
      • queryCard
      • processDDebit
      • processDDebitAuth
      • processVoid
      • verifyCard
      • queryDD
      • queryBIN
      • getSettlement
      • checkEnrollment
      • checkPARes
      • addBlacklistedCard
      • removeBlacklistedCard
      • queryBlacklistedCard
      • simulateNotify
      • getSurcharge
    • 3DS 2.0
      • Introduction
      • 3DS 2 Authentication Flows
      • Step 3 - 3DS Method Data
      • Step 5 - Challenge
      • Step 1 - getAccessToken
      • Step 2 - checkEnrollment
      • Step 4 - checkTDSAuth
      • Step 6 - checkPARes
      • Step 7 - processCard
      • Authorization Only processCard
    • PayLink
      • Introduction
      • Generate PayLink
    • PayID
      • Introduction
      • Create
      • Transaction
      • Get
      • Update
      • Status
      • List
      • Refund
    • PayTo
      • Introduction
      • Simulator
      • Certification
      • Actions and Statuses
      • Agreements
        • Agreements
        • Notifications
        • Create Agreement
        • Get Agreement
        • Amend Agreement
        • Amend Agreement Status
        • Recall Agreement Action
      • Payments
        • Payments
        • Notifications
        • Create Payment
        • Get Payment
        • Get Payment Status
        • Search Payments
    • Confirmation of Payee
      • Introduction
      • Sandbox Simulations
      • Validate
    • POS
      • Introduction
      • processPOS
      • refundPOS
      • voidPOS
      • deregisterPOS
    • Web SDK
      • Introduction
      • Usage
      • getAccessToken
      • Options
      • Initiate
      • Payframe Functionality
      • Middleware
      • addCard
    • Payframe
      • Introduction
      • Usage
      • Constructor
      • tdsCheck
      • Additional Functions
      • Styling
      • processCard
      • processAuth
    • Digital Wallets
      • Apple Pay Prerequisites
      • Google Pay Prerequisites
      • Web SDK
      • Manual Integration
      • processCard
      • addCard
      • getMerchantSession
      • decryptApplePayToken
    • Token Payments
      • Introduction
      • Key Management
      • addCard
      • removeCard
      • cardInfo
      • changeExpiry
      • processCard
      • processAuth
    • Batch
      • Introduction
      • Card Batches
      • Token Batches
      • Direct Debit Batches
    • Forter
      • Introduction
      • Testing
    • Payouts
      • Introduction
      • Sandbox Simulations
      • Notifications
      • Create Payouts
        POST
      • Get Payout Status
        POST
      • Resend Notifications
        POST
      • Get Payout Transaction Status
        POST
      • Get Payout Transaction Notify
        POST
    • Partner API
      • Introduction
      • addMerchant
      • updateMerchant
      • checkMerchant
    • Notifications
      • Notifications
  • Hosted Payment Page
    • processCard
  1. Payouts

Get Payout Transaction Status

Sandbox
https://base.merchantwarrior.com
Sandbox
https://base.merchantwarrior.com
POST
/payout/{payoutId or payout reference}/transaction/{transactionId or transaction reference}/notify
Used to retrieve the status of a payout transaction.
Endpoint: /payout/{{payoutId or reference}}/transaction/{{transactionId or reference}}/status
Note: All dates presented are in AEDT time.

Request

Path Params

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://base.merchantwarrior.com/payout//transaction//notify' \
--header 'MW-API-VERSION: 2.0' \
--header 'Content-Type: application/json' \
--data '{
    "MW-MERCHANTID": "XXXXX",
    "MW-API-KEY": "XXXXX",
    "MW-MESSAGEHASH": "XXXXX",
    "MW-API-VERSION": "XXXXX"
}'
Response Response Example
{
    "responseCode": 0,
    "responseMessage": "Operation successful",
    "result": {
        "payee": {
            "name": "Tony Stark",
            "address": {
                "street": "345 Ann Street",
                "city": "Brisbane",
                "state": "Queensland",
                "postcode": "4127",
                "country": "Australia"
            },
            "contact": {
                "phone": "0491570006",
                "email": "tony@stark.com"
            }
        },
        "transaction": {
            "reference": "fdbd73bc468248e78246100156988036",
            "product": "Suit Upgrade",
            "amount": 100,
            "bsb": "802950",
            "accNumber": "13131313"
        },
        "payouts": [
            {
                "transactionId": "dc1bcc72-d6fb-11f0-a77e-005056a5521a",
                "status": "declined",
                "type": "NPP",
                "createdAt": "2026-01-15 16:22:40",
                "lastUpdated": "2026-01-15 16:22:42"
            },
            {
                "transactionId": "dc1e3818-d6fb-11f0-a77e-005056a5521a",
                "status": "declined",
                "type": "DE",
                "createdAt": "2026-01-15 16:22:43",
                "lastUpdated": "2026-01-18 08:20:00"
            },
            {
                "transactionId": "df4a224f-d6fb-11f0-a77e-005056a5521a",
                "status": "returned",
                "type": "NPP",
                "createdAt": "2026-01-18 08:20:01",
                "lastUpdated": "2026-01-18 08:20:01"
            }
        ]
    }
}
Modified at 2026-07-08 07:04:00
Previous
Resend Notifications
Next
Get Payout Transaction Notify
Built with